On install getting Parse Error

New site.. installed this plugin and getting the error
Parse error: syntax error, unexpected 'class' (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or '{' or '$' in /xxxxx/xxxxx/public_html/YourCommunicationsCoach.com/wp-content/plugins/coursepress/2.0/include/coursepress/view/front/class-student.php on line 6

Any idea what's going on?